## coq-hott 8.18

=== Makefile ===
# KNOWNTARGETS will not be passed along to Makefile.coq
KNOWNTARGETS := Makefile.coq
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile _CoqProject

.DEFAULT_GOAL := invoke-coqmakefile

Makefile.coq: Makefile _CoqProject
# Generate _CoqProject file
	bash etc/generate_coqproject.sh
# Generate Makefile
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

# We replace the html target with real-html, because we want to make
# the timestamp file.  We use patsubst rather than subst to do this so
# that we only replace entire words.
invoke-coqmakefile: Makefile.coq
	$(MAKE) --no-print-directory -f Makefile.coq $(patsubst html,real-html,$(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS)))

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## coq-hott 8.15

=== debian/changelog ===
coq-hott (8.15-4) unstable; urgency=medium

  * Add patch for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 10:27:23 +0200

coq-hott (8.15-3) unstable; urgency=medium

  * Simplify autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 12:31:37 +0200

coq-hott (8.15-2) unstable; urgency=medium

  * Drop an erroneous b-dep on ocamlgraph.
  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 00:13:17 +0200

coq-hott (8.15-1) unstable; urgency=medium

  * Initial release. (Closes: #1013949)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 27 Jun 2022 22:51:30 +0200

=== debian/control ===
Source: coq-hott
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hott
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hott.git
Homepage: https://github.com/HoTT/HoTT

Package: libcoq-hott
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq library for homotopy type theory
 This library is a formalization of homotopy type
 theory for Coq, where propositional equality is
 interpreted as homotopy and type isomorphism as
 homotopy equivalence.
 .
 Coq is a proof assistant for higher-order logic.

## coq-hott 8.16

=== debian/changelog ===
coq-hott (8.16-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 07:59:34 +0100

coq-hott (8.16-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 14:13:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hott
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hott.git

## coq-hott 8.17

=== debian/changelog ===
coq-hott (8.17-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:11:04 +0200

coq-hott (8.17-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:30:39 +0200

## coq-hott 8.18

=== debian/changelog ===
coq-hott (8.18-3build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:14:22 +0200

coq-hott (8.18-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:14 +0000

coq-hott (8.18-3build2) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:13:47 +0000

coq-hott (8.18-3build1) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Dec 2023 20:28:44 -0500

coq-hott (8.18-3) unstable; urgency=medium

  * Bump for manual transition.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:30:17 +0100

coq-hott (8.18-2) unstable; urgency=medium

  * Bump for manual transition.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Nov 2023 22:33:27 +0100

coq-hott (8.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1045075)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Sep 2023 14:05:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-hott
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	make clean
	rm -f Makefile.coq Makefile.coq.conf _CoqProject
	find . -name "*.aux" -delete

override_dh_auto_make:
	make

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

## coq-hott 8.19

=== debian/changelog ===
coq-hott (8.19-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:20:07 +0200

coq-hott (8.19-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:09:39 +0200

coq-hott (8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coq-hott
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## coq-hott 8.20

=== debian/changelog ===
coq-hott (8.20-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:28:08 +0100

coq-hott (8.20-1build2) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:14:54 -0500

coq-hott (8.20-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 21:31:28 -0500

coq-hott (8.20-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:46:06 +0100

coq-hott (8.19-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 17:32:06 +0200

## coq-hott 9.0

=== debian/changelog ===
coq-hott (9.0-3) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:27:02 +0100

coq-hott (9.0-2) experimental; urgency=medium

  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:09:59 +0100

coq-hott (9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:21:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_OPTIONS += noautodbgsym
+
 %:
-	dh $@ --with coq
+	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
 	make clean
